Trio Client API Docs
Trio
Trio
  1. Timecard
  • Home
  • APIs
    • Invoice
      • Get a list of invoices.
      • Get an invoice by number
      • Get a list of timecards for the specified invoice.
    • Job
      • Gets a listing of all open jobs.
      • Gets a listing of closed jobs based on the date range.
      • Get information for the specified job.
    • Positions
      • Gets a list of assignments with demographics
    • Profession
      • Gets all professions with a list of their specialties.
    • ProviderConfirmation
      • Get information for the specified provider confirmation.
    • Specialty
      • Gets all specialties.
      • Gets information for the specified specialty.
    • Submission
      • Get a list of all submissions related to your account.
    • Timecard
      • Get a list of all Timecards related to your account.
        GET
      • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
        GET
      • Get callback statistics for a specific client.
        GET
      • Get the reviews for a specific timecard.
        GET
      • Create a review for a specific timecard.
        POST
      • Get a review for a specific timecard.
        GET
      • Get a list of reviews for a specific timecard.
        GET
      • Update a review for a specific timecard.
        PUT
      • Delete a review for a specific timecard.
        DELETE
      • Get a specific timecard.
        GET
      • Get a list of all documents associated with a timecard.
        GET
      • Get the timesheet document associated with a timecard.
        GET
      • Get a specific document associated with a timecard.
        GET
    • Timecard Copy
      • Get a list of all Timecards related to your account.
      • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
      • Get a specific timecard.
      • Get a list of all documents associated with a timecard.
      • Get the timesheet document associated with a timecard.
      • Get a specific document associated with a timecard.
    • TimecardExpense
      • Get a list of all Timecard Expenses for a Timecard.
    • TimecardLine
      • Get a list of all Timecard Lines for a Timecard.
  1. Timecard

Update a review for a specific timecard.

PUT
/Timecard/{idOrNumber}/reviews/{reviewId}

Request

Authorization
API Key
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢204No Content
There is no content to send for this request, but the headers may be useful.
This response does not have a body.
🟠400Bad Request
🟠404Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.triowfs.com/trio/Timecard//reviews/' \
--header 'X-API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "ReviewedOn": "2019-08-24T14:15:22.123Z",
    "Status": "InQueue",
    "Steps": [
        {
            "name": "string",
            "status": "NotStarted",
            "tasks": [
                {
                    "name": "string",
                    "status": "NotStarted",
                    "keyFindings": [
                        {
                            "title": "string",
                            "content": [
                                "string"
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}'
Response Response Example
"string"
Modified at 2026-01-16 22:00:06
Previous
Get a list of reviews for a specific timecard.
Next
Delete a review for a specific timecard.
Built with